package pkg

import (
	"context"
	triplepb "dubbo-test/api"
)

type AccountServiceProvider struct {
	triplepb.UnimplementedAccountServiceServer
}

func (s *AccountServiceProvider) GetAccount(ctx context.Context, request *triplepb.AccountRequest) (*triplepb.AccountReply, error) {
	return &triplepb.AccountReply{
		AccountEntity: &triplepb.AccountEntity{
			Id:          request.GetId(),
			Balance:     999.99,
			AccountName: "GO 钱包",
		},
	}, nil
}
